## DELETE Flow

### Endpoint

```plaintext
DELETE /v2.0/flows/{flowId}
```

### Description
Delete a Flow from the system.

### Example Request

#### cURL
```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId} \
  --header 'X-API-Key: <api-key>'
```

#### Python
```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)
```

#### JavaScript (Fetch)
```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### HTTP Response Codes

| Code | Description                     |
|------|---------------------------------|
| 204  | Successfully deleted Flow       |
| 400  | Bad Request                     |
| 401  | Unauthorized                    |
| 402  | Payment Required                |
| 403  | Forbidden                       |
| 404  | Not Found                       |
| 405  | Method Not Allowed              |
| 409  | Conflict                        |
| 413  | Payload Too Large              |
| 500  | Internal Server Error           |
| 501  | Not Implemented                 |
| 502  | Bad Gateway                     |
| 503  | Service Unavailable             |
| 504  | Gateway Timeout                 |

### Authentication
**X-API-Key**
- Type: string (required)
- Description: Supply the API Key in the HTTP header.

### Required Path Parameters
- **flowId**: string (required)
  - Description: The unique identifier for the Flow.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`

### Accept Header
- Enum options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`

### Response Example
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
